//MpiFunctions.h -- wrapper for main MPI functions
#ifdef CLUSTER_LAM_MPI

#define MPI_ANY_SOURCE_OUR (-1)

extern "C" {

int MPI_Comm_size_our();
int MPI_Comm_rank_our();
void MPI_Finalize_our();

void MPI_Send_char(char* str, int len, int nNode, int nType);
void MPI_Send_int(int* n, int cnt, int nNode, int nType);
void MPI_Send_float(float* f, int cnt, int nNode, int nType);
void MPI_Send_long(long* l, int cnt, int nNode, int nType);
void MPI_Send_REALNUM(float* f, int cnt, int nNode, int nType);

int MPI_Recv_char(char* str, int len, int nNode, int nType);
int MPI_Recv_int(int* n, int cnt, int nNode, int nType);
int MPI_Recv_float(float* f, int cnt, int nNode, int nType);
int MPI_Recv_long(long* l, int cnt, int nNode, int nType);
int MPI_Recv_REALNUM(float* f, int cnt, int nNode, int nType);

void MPI_Barrier_our();
void MPI_Bcast_int(int* n, int cnt, int nNode);
int MPI_Recv_double(double* f, int cnt, int nNode, int nType);
void MPI_Send_double(double* f, int cnt, int nNode, int nType);

}

#endif //CLUSTER_LAM_MPI
